Results 1 to 10 of 10

Thread: Which C++ IDE should I use which is NOT outdated as CodeLite ?

  1. #1

    Question Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Hello,

    I'm looking for an C++ IDE which is not outdated as CodeLite on YaST (I searched it on YaST, its version is 5.4. It is too old. Currently newest version is 10)

    Also I tried Code::Blocks and CodeLite by source code and those were too hard for a Linux newbie. Lost while installing dependencies and gave up.

    So I want to install the IDE on YaST which is simple and nice.

    My best regards.

  2. #2
    Join Date
    Jun 2008
    Location
    Belleville, Ontario, Canada
    Posts
    455

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    http://software.opensuse.org/package..._term=codelite

    Click on "Show other versions" and you'll see an entry for version 10.0 from home:fusion809

    http://software.opensuse.org/find is your friend and should be part of your toolkit.
    "Making rich people richer doesn't make the rest of us richer." Ha-Joon Chang
    openSUSE 15.1 4.12.14-lp151.28.16-default x64

  3. #3
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Quote Originally Posted by ordinary View Post
    I'm looking for an C++ IDE which is not outdated as CodeLite on YaST (I searched it on YaST, its version is 5.4. It is too old. Currently newest version is 10)
    If you look at the openSUSE Software URL for CodeLite, there's a private build for version 10: <https://software.opensuse.org/packag..._term=CodeLite>

    If you're prepared for a somewhat more complex IDE plus a move to KDE and Qt5, take a look at KDevelop: <https://software.opensuse.org/package/kdevelop5>

  4. #4

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Thank you very much. I did as you said. But it says 'show unstable versions'. I think they are not tested or sth.

    Anyway, I'll try to install it and respond here.

    All my best wishes

  5. #5
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,012

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Unstable should be renamed "User Contributed", because that's what it really is.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  6. #6

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Thank you @dcurtisfra. What do you mean 'private' ?

    By the way I'm not a complex programmer. I just need a simple IDE. Because I'm tired of typing g++ file.cpp then ./a.out.

  7. #7

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    There is also a warning:

    Please be aware that the following packages are from unofficial repositories. That means they are not reviewed by openSUSE and may contain unstable or experimental software.

  8. #8

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    I tried to install version 10. But I get error:

    An error occurred while initializing the software repository.
    Details:
    http-download.opensuse.org-058147d7:[http-download.opensuse.org-058147d7|http://download.opensuse.org/reposit...SE_Leap_42.1/] Valid metadata not found at specified URL
    History:
    -Unknown error reading from 'http://download.opensuse.org/repositories/home:/fusion809/openSUSE_Leap_42.1/'
    -System management is locked by the application with pid 32372 (/usr/lib/YaST2/bin/y2base).
    Close this application before trying again.

    Try again?

  9. #9
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,610

    Cool Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Quote Originally Posted by ordinary View Post
    What do you mean 'private' ?
    The builds are not part of the Quality Assurance (QA) process associated with the official openSUSE repositories.

    Once someone has determined that, the quality of what they've built in their private build environment is "good enough", they can (if they wish to do so) submit that packet version to the openSUSE QA for acceptance into the main openSUSE build environment where it can be picked up by that part of the community who aren't interested in "it may possibly be OK" RPM packages.

    Quote Originally Posted by ordinary View Post
    I'm not a complex programmer. I just need a simple IDE. Because I'm tired of typing g++ file.cpp then ./a.out.
    On the other hand, once one has learnt the basics of programming and, wishes to maybe earn a living by participating in the production of computer applications, one will normally (assuming that, one wishes to earn enough to survive in this world) have to submit to the practices associated with working in a team of programmers, and managers, and Project Managers, and Testers, and QC/QA folks.
    • Meaning, you are going to have to come to terms with Change Management (SCCS, RCS, Subversion, Sablime, et al) and the integration of those processes with a Change Request system (Bug Reports).

    This means that, it is usually quite nice having an IDE which not only browses effectively through the C++ classes but, also integrates into the Change Management system and has an acceptable work-flow from "Please take a look at this customer complaint" through to "submitting the change(s) needed to alleviate the issue raised by the customer".

    Bottom line: IMHO an IDE needs to hack the issues of C++ class browsing and be integrated into the Change Management system being used.

  10. #10
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,499
    Blog Entries
    2

    Default Re: Which C++ IDE should I use which is NOT outdated as CodeLite ?

    Packaging is nice,
    But you can also download a 10.0 rpm directly from codelite
    http://codelite.org/LiteEditor/Repositories#toc2
    From the above page, you can try running the following command
    Code:
    zypper in https://repos.codelite.org/rpms-10.0/fedora/codelite-10.0-1.fc25.x86_64.rpm
    Also on that codelite "downloads" page are instructions for building from source

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •